Bug 493510 - Publican uses the non-capitalized gentext key for the "Legal Notice" heading
Publican uses the non-capitalized gentext key for the "Legal Notice" heading
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 22:50 EDT by Ruediger Landmann
Modified: 2010-11-23 23:17 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.2-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 00:20:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A simple book made in Spanish. Note "aviso legal" heading in lower case. (16.03 KB, text/html)
2009-04-01 22:50 EDT, Ruediger Landmann
no flags Details

  None (edit)
Description Ruediger Landmann 2009-04-01 22:50:39 EDT
Created attachment 337712 [details]
A simple book made in Spanish. Note "aviso legal" heading in lower case.

Description of problem:
The docbook gentext file for each language provides for capitalised and non-capitalised versions of many of its entries, for example 'key="LegalNotice"' and 'key="legalnotice"'. Publican uses the latter, uncapitalised example when it generates the "Legal Note" section, meaning that the heading appears in lower case when separate capitalised and uncapitalised versions of the text are provided for in the gentext file. (Note that for some languages, 'key="LegalNotice"' and 'key="legalnotice"' have both been capitalised.)

Languages where the "Legal Note" heading appears in lower case include:
* Danish
* Spanish
* Hungarian
* Latvian
* Norwegian (Bokmål)
* Serbian (Cyrillic)
* Serbian (Latin)

but the same problem will occur in any language where 'key="legalnotice"' appears in lower case.


Version-Release number of selected component (if applicable):
Noted in 0.40

How reproducible:
100%

Steps to Reproduce:
1. Make a book in one of the languages listed above

Actual results:
Heading for the legal notice is completely in lower case

Expected results:
The first word in the heading, and perhaps others, start with a capital letter.

Additional info:
Comment 1 Michael Hideo 2009-06-16 22:12:39 EDT
Awaiting docs.redhat.com before actioning
Comment 2 Jeff Fearn 2009-08-10 19:26:00 EDT
This should be fixed in the BETA.
Comment 3 Ruediger Landmann 2009-09-08 02:06:23 EDT
Fixed in 1.0 -- tested with a new book and es-ES
Comment 4 Fedora Update System 2009-11-17 21:19:03 EST
publican-1.2-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.2-0.fc12
Comment 5 Bug Zapper 2009-11-18 06:39:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2009-11-20 00:18:09 EST
publican-1.2-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-11-25 09:53:16 EST
publican-1.2-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.